/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 2)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm002 of Rm
	(properties
		picture scriptNumber
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		(super:init())
        (aMan:init())
		(self:setScript(RoomScript))
        (switch(gPreviousRoomNumber)
        (case 1
            (send gEgo:
                posn(205 153)
                loop(3)
            )
        )
        )
		SetUpEgo()
		(send gEgo:init())
	)
)
/******************************************************************************/
(instance RoomScript of Script
    (properties)
    (method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if(Said('get/soda'))
            (if(send gEgo:has(INV_SODA))
            Print("You already have it!")
            )(else
                (if(send gEgo:inRect(21 105 90 147))
                    Print("O.K.")
                    (send gEgo:get(INV_SODA))
                    (send gGame:changeScore(2))
                    (send gTheMusic:
			             prevSignal(0)
			             stop()
			             number(900)
			             loop(0)
			             play()
                    )
                )(else
                    Print("You're not close enough!")
                )
                )
        )
        (if(Said('look>'))
            (if(Said('/man'))
                (send gRoom:newRoom(18))
            )(else
            (if(Said('/shelf'))
                Print("There is some baking soda on the back shelf.")
            )(else
            )(if(Said('/window'))
                Print("Those windows need to be cleaned.")
            )(else
            (if(Said('/soda'))
                (if(send gEgo:has(INV_SODA))
                Print(
                    "This is a box of baking soda."
                    #title "Soda"
                    #icon 28 0 0
                )
                )(else
                    Print("The baking soda is on the left shelf.")
                )
            )(else
            (if(Said('/room'))
                Print("You are inside the Quickstop.")
                Print("You can see some shelves and Dante Hicks, the clerk that works here.")
            )
            )
            )
            )
        )
        (if(Said('talk/man'))
          (aMan:
          setCycle(Fwd)
          init())
          Print("Hey, no colored people are allowed here!" #title "Dante Says:")
          Print("Black and White only" #title "Dante Says:")
        )
        )
        (method (doit)
        (if(== (send gEgo:onControl()) ctlGREEN)
        (send gRoom:newRoom(1))
        )
    )
)
(instance aMan of Act
  (properties
    y 106
    x 264
    view 9
  )
)
